import request from '@/utils/request'

// 查询BOM物料管理列表
export function listBom(query) {
	return request({
		url: '/wms/bom/list',
		method: 'get',
		params: query
	});
}

// 查询BOM物料管理详细
export function getBom(factoryCode) {
	return request({
		url: '/wms/bom/' + factoryCode,
		method: 'get'
		});
}

// 查询BOM物料管理列表
export function listBomComponent(query) {
  return request({
    url: '/wms/bomComponent/list',
    method: 'get',
    params: query
  });
}

// 新增BOM物料管理
export function addBom(data) {
	return request({
		url: '/wms/bom',
		method: 'post',
		data: data
	});
}

// 修改BOM物料管理
export function updateBom(data) {
	return request({
		url: '/wms/bom',
		method: 'put',
		data: data
	});
}

// 删除BOM物料管理
export function delBom(factoryCode) {
	return request({
		url: '/wms/bom/' + factoryCode,
		method: 'delete'
	});
}
